activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Kevin Quick (JIRA)" <j...@apache.org>
Subject [jira] Commented: (AMQCPP-334) pkg-config output incorrect
Date Tue, 23 Nov 2010 23:43:25 GMT

    [ https://issues.apache.org/activemq/browse/AMQCPP-334?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=63476#action_63476
] 

Kevin Quick commented on AMQCPP-334:
------------------------------------

This is related to AMQCPP-309 in that the fix for that bug still doesn't work.

With version 3.2.3 (installed with a prefix for clarity of this example):

$ pkg-config --cflags activemq-cpp
-I/software/activemq-cpp-library/3.2.3/include/activemq-cpp-12:0:3 -I/software/activemq-cpp-library/3.2.3/lib/activemq-cpp-3.2.3/include
 
$

The first include path does not exist:

$ ls /software/activemq-cpp-library/3.2.3/include/activemq-cpp-12:0:3
ls: /software/activemq-cpp-library/3.2.3/include/activemq-cpp-12:0:3: No such file or directory
$ ls /software/activemq-cpp-library/3.2.3/include
activemq-cpp-3.2.3
$

The second path also does not exist and points into the lib portion of the tree instead of
the include portion:

$ ls /software/activemq-cpp-library/3.2.3/lib/activemq-cpp-3.2.3/include
ls: /software/activemq-cpp-library/3.2.3/lib/activemq-cpp-3.2.3/include: No such file or directory
$


Also the library link names are still wrong:

$ pkg-config --libs activemq-cpp  
-L/software/activemq-cpp-library/3.2.3/lib -lactivemq-cpp-12:0:3 -lpthread -ldl -luuid  
$ ls /software/activemq-cpp-library/3.2.3/lib                           
libactivemq-cpp-3.2.3.so  libactivemq-cpp.a  libactivemq-cpp.la  libactivemq-cpp.so  libactivemq-cpp.so.9
 libactivemq-cpp.so.9.3.0  pkgconfig
$



> pkg-config output incorrect
> ---------------------------
>
>                 Key: AMQCPP-334
>                 URL: https://issues.apache.org/activemq/browse/AMQCPP-334
>             Project: ActiveMQ C++ Client
>          Issue Type: Wish
>          Components: CMS Impl
>    Affects Versions: 3.2.1
>            Reporter: Kevin Quick
>            Assignee: Timothy Bish
>            Priority: Minor
>             Fix For: 3.2.3, 3.3.0
>
>
> The activemq-cpp.pc.in file specifies the installed library linking as "-l@ACTIVEMQ_LIBRARY_NAME@-@ACTIVEMQ_API_VERSION@"
which results in (for example) -lactivemq-cpp-3.2.1, but the actual library files generated
in src/main/.libs are:
> $ ls src/main/.libs/
> libactivemq-cpp.a  libactivemq-cpp.la  libactivemq-cpp.lai  libactivemq-cpp.so  libactivemq-cpp.so.11
 libactivemq-cpp.so.11.1.0
> $
> As a result, pkg-config requests a link against a non-existent library.  This should
be fixed so that the generated version and the indicated link version match.
> This can be patched post-install, but it's messy.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message